com.holonplatform.vaadin7.spring.internal

## Class SpringViewClassProvider

- java.lang.Object
- - com.holonplatform.vaadin7.spring.internal.SpringViewClassProvider

- All Implemented Interfaces:
    ViewClassProvider

      public class SpringViewClassProvider
      extends Object
      implements ViewClassProvider

  Spring `ViewClassProvider`.
  Since:
    5.2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringViewClassProvider(org.springframework.context.ApplicationContext applicationContext)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<Class<? extends com.vaadin.navigator.View>>` | `getViewClass(String viewName)` Get the view class which corresponds to the given view name.
    `void` | `init()` Init the provider, detecting all the View classes bound to the available View type beans.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpringViewClassProvider

          public SpringViewClassProvider(org.springframework.context.ApplicationContext applicationContext)

      Constructor.
      Parameters:
        `applicationContext` - ApplicationContext (not null)

  - ### Method Detail

    - #### init

          public void init()

      Init the provider, detecting all the View classes bound to the available View type beans.

    - #### getViewClass

          public Optional<Class<? extends com.vaadin.navigator.View>> getViewClass(String viewName)

      Description copied from interface: `ViewClassProvider`
      Get the view class which corresponds to the given view name.
      Specified by:
        `getViewClass` in interface `ViewClassProvider`
      Parameters:
        `viewName` - View name
      Returns:
        The View class, if available

Copyright © 2019 The Holon Platform. All rights reserved.